﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ColumnChartPrintWithLegend
{
    public partial class Form1 : Form
    {

        private DataTable table;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.LoadTable();
            this.ultraChart1.Data.DataSource = table;
            this.ultraChart1.DataBind();
        }

        private void LoadTable()
        {
            table = new DataTable("Monthly Expense");
            table.Columns.AddRange(new DataColumn[] {
														 new DataColumn("Main Clothes....", typeof(double)),
														 new DataColumn("Main Food........",   typeof(double)),
														 new DataColumn("Best Travel......", typeof(double)),
														 new DataColumn("Other Activities...",  typeof(double)),
														 new DataColumn("Name First...",   typeof(string)),       
			});
            table.Rows.Add(new object[] { 100.0, 150.0, 320.0, 52.0, "Andy " });
            table.Rows.Add(new object[] { 52.0, 200.0, 250.0, 90.0, "Alice " });
            table.Rows.Add(new object[] { 5.0, 130.0, 200.0, 22.0, "Arnold " });
            table.Rows.Add(new object[] { 19.0, 225.0, 150.0, 45.0, "Bob " });
            table.Rows.Add(new object[] { 134.0, 156.0, 45.0, 92.0, "Charlie " });
            table.Rows.Add(new object[] { 400.0, 300.0, 100.0, 50.0, "Davis " });
            table.Rows.Add(new object[] { 19.0, 225.0, 150.0, 45.0, "Bob " });
            table.Rows.Add(new object[] { 134.0, 156.0, 45.0, 92.0, "Charlie " });
            table.Rows.Add(new object[] { 400.0, 300.0, 100.0, 50.0, "Davis " });
            table.Rows.Add(new object[] { 100.0, 150.0, 320.0, 52.0, "Andy " });
            table.Rows.Add(new object[] { 52.0, 200.0, 250.0, 90.0, "Alice " });
            table.Rows.Add(new object[] { 5.0, 130.0, 200.0, 22.0, "Arnold " });
            table.Rows.Add(new object[] { 19.0, 225.0, 150.0, 45.0, "Bob " });
            table.Rows.Add(new object[] { 134.0, 156.0, 45.0, 92.0, "Charlie " });
            table.Rows.Add(new object[] { 400.0, 300.0, 100.0, 50.0, "Davis " });
            table.Rows.Add(new object[] { 19.0, 225.0, 150.0, 45.0, "Bob " });
            table.Rows.Add(new object[] { 134.0, 156.0, 45.0, 92.0, "Charlie " });
            table.Rows.Add(new object[] { 400.0, 300.0, 100.0, 50.0, "Davis " });
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraChart1.PrintChart();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.printDialog1.Document = ultraChart1.PrintDocument;
            if (this.printDialog1.ShowDialog() == DialogResult.OK)
            {
                this.printDialog1.Document.Print();
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.ultraPrintPreviewDialog1.Document = ultraChart1.PrintDocument;
            if (this.ultraPrintPreviewDialog1.ShowDialog() == DialogResult.OK)
            {
                this.ultraPrintPreviewDialog1.Document.Print();
            }
        }
    }
}
